This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 178744 - Man page name is ridiculous
Man page name is ridiculous
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mouse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2006-01-23 17:40 EST by Paul Nasrat
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-02 03:48:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Nasrat 2006-01-23 17:40:15 EST
Description of problem:

man mouse-manpage-from-xorg-which-conflicts-with-system-manpage-thankyou


Version-Release number of selected component (if applicable):

xorg-x11-drv-mouse-1.0.3-1.i386

How reproducible:

Always

Steps to Reproduce:
1. look for man page for mouse driver
2. find it's named as above

  
Actual results:

An irritating name to type


Expected results:

A sensible man page name xorg-mouse or xorg-input-mouse.4

Additional info:
Comment 1 Mike A. Harris 2006-01-27 18:36:48 EST
Currently X.org installs manpages in the same directories as system manpages,
causing a conflict of the mouse manpage.  All of the X driver manpages have
the same manpage name as the driver, which is sensible and consistent.

The combination of these two factors, leaves us with a conflicting manpage
name.  The X.Org manpage has temporarily been renamed in the above manner
intentionally as a reminder to fix the underlying and more important issue,
which is that of the manpages being installed in the wrong directory
intentionally by X.Org upstream.

The underlying issue is something that needs to be resolved upstream, and
we will be working with upstream to come to a solution, at which point the
problem being reported will vanish as we undo this workaround.

Adding to FC5Target
Comment 2 Nalin Dahyabhai 2006-02-01 18:21:51 EST
Perhaps moving this one to section 4x (see xorg-x11-drv-citron,
xorg-x11-drv-jamstudio, etc.) where other input driver man pages
currently live?
Comment 3 Mike A. Harris 2006-02-02 03:48:09 EST
All of the X11R7 manpages reside in the system manpage directories.  There
is no 4x dirs in X11R7.

I've renamed the manpage to "mouse-driver" for now, which should be more
than adequate workaround for this non-critical problem, until we can get
the larger problem addressed upstream, which may or may not be before
FC5, however it isn't a major showstopper.

The new driver package will be built tonight, but might not hit rawhide
until the day after tomorrow.

Setting status to RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.